moeoObjectiveVectorComparator(3)

NAME
moeoObjectiveVectorComparator - Abstract class allowing to compare 2 objective vectors.

SYNOPSIS

#include <moeoObjectiveVectorComparator.h>

Inherits eoBF< A1, A2, R >< const const ObjectiveVector &, ObjectiveVector &, bool >.

Inherited by moeoGDominanceObjectiveVectorComparator< ObjectiveVector >, and moeoParetoObjectiveVectorComparator< ObjectiveVector >.

Detailed Description

  template<class ObjectiveVector> class moeoObjectiveVectorComparator< ObjectiveVector >
Abstract class allowing to compare 2 objective vectors. The template argument ObjectiveVector have to be a moeoObjectiveVector.

Definition at line 24 of file moeoObjectiveVectorComparator.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.